Bug 738082 - unused-direct-shlib-dependency on linux-vdso.so.1
unused-direct-shlib-dependency on linux-vdso.so.1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: rpmlint (Show other bugs)
19
x86_64 Linux
unspecified Severity low
: ---
: ---
Assigned To: Tom "spot" Callaway
Fedora Extras Quality Assurance
:
: 784447 (view as bug list)
Depends On: 758888
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-13 16:39 EDT by Jerry James
Modified: 2015-02-18 16:09 EST (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 08:52:54 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Sourceware 13706 None None None Never

  None (edit)
Description Jerry James 2011-09-13 16:39:10 EDT
Description of problem:
On my Rawhide x86_64 machine, rpmlint complains about unused-direct-shlib-dependency for linux-vdso.so.1 for EVERY library.  For example:

$ rpmlint libpng
libpng.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpng12.so.0.46.0 linux-vdso.so.1
libpng.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libpng.so.3.46.0 linux-vdso.so.1
1 packages and 0 specfiles checked; 0 errors, 2 warnings.

Version-Release number of selected component (if applicable):
rpmlint-1.3-1.fc16.noarch

How reproducible:
Always

Steps to Reproduce:
1. Run rpmlint on any package that contains a shared library in %{_libdir}.
2.
3.
  
Actual results:
Rpmlint complains about an unused direct shared library dependency on linux-vdso.so.1.

Expected results:
Rpmlint should not complain about this particular shared object, since it is a "magic" shared object used to make fast system calls.

Additional info:
Comment 1 Ville Skyttä 2011-09-14 00:58:04 EDT
Adding this to rpmlint's config files somewhere (see FILES in rpmlint man page) gets rid of it:

    addFilter("unused-direct-shlib-dependency .*linux-vdso\.so\.1")

However I'm wondering if this becoming an _unused_ direct dependency in Rawhide is intentional, or if it's a bug somewhere.  The dependency has been around pretty much always and everywhere, but only now it has apparently become unused (see the ldd -r -u output for affected libraries).  Thoughts?
Comment 2 Jerry James 2011-09-14 18:57:06 EDT
Hmmm, I don't see linux-vdso.so.1 listed as DT_NEEDED in the affected shared libraries, either on Fedora 15 or on Rawhide.  If I'm reading the code in elf/rtld.c correctly, that flag should be on for a dependency to be considered as unused.  Maybe this bug should be reassigned to glibc.
Comment 3 Orion Poplawski 2011-11-22 17:32:38 EST
I'm also seeing:

plplot-ada.i686: W: unused-direct-shlib-dependency /usr/lib/libplplotadad.so.0.0.0 linux-gate.so.1

on F16.
Comment 4 Orion Poplawski 2011-11-30 16:48:21 EST
Filed bug 758888 against glibc for linux-gate.  Its behavior definitely changed between F15 and F16.
Comment 5 Ville Skyttä 2012-01-28 01:54:43 EST
*** Bug 784447 has been marked as a duplicate of this bug. ***
Comment 6 Fedora End Of Life 2013-04-03 13:48:02 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 7 Fedora End Of Life 2015-01-09 11:47:08 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2015-02-17 08:52:54 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 9 Ville Skyttä 2015-02-18 16:09:29 EST
(See bug 758888 and https://sourceware.org/bugzilla/show_bug.cgi?id=13706)

Note You need to log in before you can comment on or make changes to this bug.